Submitted By: Jeremy Utley (jeremy@linuxfromscratch.org)
Date: 2004-05-20
Initial Package Version: 1.1.7
Upstream Status: Not Submitted
Origin: Self Created
Description: Fixes syntax issues with GCC 3.4

$LastChangedBy: randy $
$Date: 2004-09-07 12:50:28 -0600 (Tue, 07 Sep 2004) $

diff -aur gtkhtml-1.1.7/components/html-editor/popup.c 
gtkhtml-1.1.7-new/components/html-editor/popup.c
--- gtkhtml-1.1.7/components/html-editor/popup.c	2002-10-02 10:11:34.000000000 -0700
+++ gtkhtml-1.1.7-new/components/html-editor/popup.c	2004-04-13 14:46:26.853482876 -0700
@@ -500,6 +500,7 @@
 			ADD_PROP (TABLE);
 			ADD_ITEM (_("Table..."), prop_dialog, TABLE);
 		default:
+		break;
 		}
 		if (obj->parent && obj->parent->parent && HTML_IS_TABLE_CELL (obj->parent->parent)) {
 			if (cd->format_html) {