Submitted By:            Igor Zivkovic <igor@linuxfromscratch.org>
Date:                    2005-01-10
Initial Package Version: 3.3.2
Upstream Status:         Not submitted.
Origin:                  http://www.sleepycat.com/docs/ref/upgrade.4.3/toc.html
Description:             Adds support for Berkeley DB-4.3.x.

$LastChangedBy: igor $
$Date: 2005-01-10 15:43:51 -0700 (Mon, 10 Jan 2005) $

--- kdesdk-3.3.2/kbabel/kbabeldict/modules/dbsearchengine/database.cpp.orig	2005-01-10 15:58:10.523087880 +0000
+++ kdesdk-3.3.2/kbabel/kbabeldict/modules/dbsearchengine/database.cpp	2005-01-10 15:58:14.681455712 +0000
@@ -728,7 +728,7 @@
 DataBaseManager::count ()
 {
     DB_BTREE_STAT *dstat = 0;
-    db->stat (db, &dstat, DB_FAST_STAT);
+    db->stat (db, NULL, &dstat, DB_FAST_STAT);
     int ret = dstat->bt_nkeys;
     free (dstat);
 
@@ -963,7 +963,7 @@
     int nrec;
     DB_BTREE_STAT *stat;
 // memset(&stat,0,sizeof(DB_BTREE_STAT));
-    if (infoDb->stat (infoDb, &stat, DB_FAST_STAT))
+    if (infoDb->stat (infoDb, NULL, &stat, DB_FAST_STAT))
 	fprintf (stderr, "Cannot stat\n");
     nrec = stat->bt_nkeys;
     free (stat);