Submitted By: Tushar Teredesai <tushar@linuxfromscratch.org> and
              Randy McMurchy <randy_at_linuxfromscratch_dot_org>
Date: 2004-12-18
Initial Package Version: 3.00
Origin: NA
Upstream Status: Major hack, will never be accepted upstream.
Description: Fixed compilation with freetype-2.1.7;
             (12-18-2004) Randy added CFLAGS for libpaper so that libpaper 
             is discovered by configure

$LastChangedBy: randy $
$Date: 2005-02-16 21:58:42 -0700 (Wed, 16 Feb 2005) $

diff -Naur xpdf-3.00-orig/configure xpdf-3.00/configure
--- xpdf-3.00-orig/configure    2004-01-22 01:26:44.000000000 +0000
+++ xpdf-3.00/configure 2004-12-18 17:42:34.787719704 +0000
@@ -9007,6 +9007,9 @@



+  cat >>confdefs.h <<_ACEOF
+#include <ft2build.h>
+_ACEOF



@@ -9817,7 +9820,7 @@
    { (exit 1); exit 1; }; }
     fi
   else
-    libpaper_CFLAGS=
+    libpaper_CFLAGS="-I/usr/include/freetype2"
   fi

         smr_test_CPPFLAGS="${CPPFLAGS+set}"
 
diff -ur xpdf-3.00.orig/splash/SplashFTFontEngine.h xpdf-3.00/splash/SplashFTFontEngine.h
--- xpdf-3.00.orig/splash/SplashFTFontEngine.h	2004-01-21 19:26:44.000000000 -0600
+++ xpdf-3.00/splash/SplashFTFontEngine.h	2004-03-20 10:23:32.000000000 -0600
@@ -15,6 +15,7 @@
 #pragma interface
 #endif
 
+#include <ft2build.h>
 #include <freetype/freetype.h>
 #include "gtypes.h"
 
diff -ur xpdf-3.00.orig/splash/SplashFTFontFile.h xpdf-3.00/splash/SplashFTFontFile.h
--- xpdf-3.00.orig/splash/SplashFTFontFile.h	2004-01-21 19:26:44.000000000 -0600
+++ xpdf-3.00/splash/SplashFTFontFile.h	2004-03-20 10:22:58.000000000 -0600
@@ -15,6 +15,7 @@
 #pragma interface
 #endif
 
+#include <ft2build.h>
 #include <freetype/freetype.h>
 #include "SplashFontFile.h"
 